%define srcname ktp-text-ui
%define urlver %(echo %{version}|cut -d. -f1,2,3)

Summary:        Telepathy handler for Text Chats
Name:           telepathy-kde-text-ui
Version: 0.9.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Networking/Instant messaging
Url:            https://projects.kde.org/projects/playground/network/telepathy/telepathy-text-ui
Source0:        http://download.kde.org/stable/kde-telepathy/%{urlver}/src/%{srcname}-%{version}.tar.xz

BuildRequires: kdelibs-devel 
BuildRequires: %{_lib}qjson-devel 
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}qtwebkit4-devel 
BuildRequires: %{_lib}telepathy-kde-common-internals-devel 
BuildRequires: %{_lib}telepathy-qt-devel 

Obsoletes:    telepathy-text-ui < 0.2.0-0
Obsoletes:    telepathy-chat-handler 
Obsoletes:    telepathy-kde-text-ui-devel

Requires:     telepathy-kde-common-internals-core >= %{urlver}
Requires:     telepathy-kde-send-file >= %{urlver}

# Spell check support
Requires:     iso-codes


%description
Telepathy handler for Text Chats.

%files -f ktp-text-ui.lang
%{_kde_bindir}/ktp-log-viewer
%{_kde_libdir}/libktpchat.so
%{_kde_libdir}/libktpimagesharer.so
%{_kde_libdir}/kde4/kcm_ktp_chat_messages.so
%{_kde_libdir}/kde4/ktptextui_message_*.so
%{_kde_libdir}/kde4/kcm_ktp_chat_appearance.so
%{_kde_libdir}/kde4/kcm_ktp_chat_behavior.so
%{_kde_libdir}/kde4/kcm_ktp_chat_otr.so
%{_kde_libdir}/kde4/libexec/ktp-adiumxtra-protocol-handler
%{_kde_libdir}/kde4/libexec/ktp-text-ui
%{_kde_libdir}/kde4/kcm_ktp_logviewer_behavior.so
%{_kde_libdir}/kde4/kcm_ktptextui_message_filter_latex.so
%{_kde_appsdir}/ktelepathy/styles/
%{_kde_appsdir}/ktelepathy/Template.html
%{_kde_appsdir}/ktelepathy/showBugzillaInfo.js
%{_kde_appsdir}/ktelepathy/longurl.js
%{_kde_appsdir}/ktelepathy/longurlServices.json
%{_kde_appsdir}/ktp-log-viewer/log-viewer.rc
%{_kde_appsdir}/ktp-text-ui
%{_kde_applicationsdir}/ktp-log-viewer.desktop
%{_kde_services}/adiumxtra.protocol
%{_kde_services}/kcm_ktp_chat_appearance.desktop
%{_kde_services}/kcm_ktp_chat_behavior.desktop
%{_kde_services}/kcm_ktp_chat_messages.desktop
%{_kde_services}/kcm_ktp_chat_otr.desktop
%{_kde_services}/kcm_ktp_logviewer_behavior.desktop
%{_kde_services}/kcm_ktptextui_message_filter_latex.desktop
%{_kde_services}/ktptextui_message_*.desktop
%{_kde_servicetypes}/ktptxtui_message_filter.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.TextUi.service
%{_datadir}/telepathy/clients/KTp.TextUi.client

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%apply_patches

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang ktp-text-ui --all-name


%changelog
* Wed Mar 11 2015 bb <bb> 0.9.0-1pclos2015
- update
